Skip to main content
PUT
/
payrolls
/
{payroll}
Update a payroll
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/payrolls/{payroll} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_date": "2026-01-01",
  "period_start": "2026-01-01",
  "period_end": "2026-01-01"
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/payrolls/{payroll}"

payload = {
"pay_date": "2026-01-01",
"period_start": "2026-01-01",
"period_end": "2026-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pay_date: '2026-01-01', period_start: '2026-01-01', period_end: '2026-01-01'})
};

fetch('https://sandbox.nmbr.co/services/payroll/payrolls/{payroll}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "payroll",
  "data": {
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "pay_schedule": {
      "id": "<id>",
      "object": "pay_schedule",
      "links": {
        "self": "/pay_schedules/<id>"
      }
    },
    "type": "historical",
    "period_number": 1,
    "period_label": "1",
    "period_start": "2026-01-01",
    "period_end": "2026-01-01",
    "pay_date": "2026-01-01",
    "original_pay_date": "2026-01-08",
    "debit_date": "2025-12-24",
    "approval_due_at": "2025-12-24T21:30:00.000000Z",
    "regular_periods_count": null,
    "is_impacted_by_weekend_or_holiday": false,
    "is_blocked_by_draft": false,
    "note": null,
    "employee_summary": {
      "gross": null,
      "subtractions": null,
      "reimbursements": null,
      "net": null
    },
    "contractor_summary": {
      "gross": null,
      "reimbursements": null,
      "net": null
    },
    "company_summary": {
      "taxes_and_contributions": null,
      "benefits": null,
      "total": null
    },
    "liability": null,
    "cash_requirement": null,
    "status": "draft",
    "approved_at": null,
    "is_stale": false,
    "stale_since": null,
    "source_payroll": null,
    "warnings": {
      "object": "list",
      "data": []
    },
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/payrolls/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payroll
string
required

Body

application/json
pay_date
string<date>

The date on which Employees and Contractors are paid.

note
string | null

An optional note on the payroll, visible to the partner.

external_ref
string
Maximum string length: 255
period_start
string<date>

The start date of the pay period.

period_end
string<date>

The end date of the pay period.

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("payroll").

data
Payroll · object